<?php

namespace Artemis\Loyalty\Http\Controllers\Client;

use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Artemis\Loyalty\Models\PointTransaction;
use Artemis\Loyalty\Models\Reward;
use Artemis\Loyalty\Models\Redemption;
use Illuminate\Support\Facades\Auth;

class PointController extends Controller
{

    public function history()
    {
        $history = PointTransaction::where('user_id', Auth::id())->latest()->get();
        return view('loyalty::client.points.history', compact('history'));
    }
}
